########################## TCL Event Handlers ##########################
#
#  Created by evg  Tue May 11 00:10:48 2006  ()
#
########################################################################


  set cam_post_dir [MOM_ask_env_var UGII_CAM_POST_DIR]
  set cam_debug_dir [MOM_ask_env_var UGII_CAM_DEBUG_DIR]

#=============================================================
#The following command invokes the warning mode and the default settings.
#        .
#=============================================================

source "[MOM_ask_env_var UGII_CAM_POST_DIR]ugpost_base.tcl"

source "[MOM_ask_env_var UGII_CAM_POST_DIR]/Huron_KX100/kx100.tcl"

#=============================================================
#      .
#=============================================================
# source [MOM_ask_env_var UGII_CAM_DEBUG_DIR]mom_debug.tcl ;
# source [MOM_ask_env_var UGII_CAM_DEBUG_DIR]mom_review.tcl ;
  MOM_set_debug_mode OFF


#=============================================================
proc PB_CMD_kin_before_motion { } {
#=============================================================
#
#  This custom command is used by UG Post to support Set/Lock,
#  rotary axis limit violation retracts and auto clamping.
#  Do not change this procedure.  If you want to improve
#  performance, you may comment out any of these procedures.
#

   global mom_kin_machine_type

   if [info exists mom_kin_machine_type] {
      if { [string match "*3_axis_mill*" $mom_kin_machine_type] ||  [string match "*lathe*" $mom_kin_machine_type] } {
return
      }
   }

   if [llength [info commands PB_CMD_set_alt_pos] ] {
      PB_CMD_set_alt_pos
   }

  # LOCK_AXIS_MOTION

  # ROTARY_AXIS_RETRACT

  # AUTO_CLAMP
}
